# Get-RASRDSHostPoolMember.md

## NAME

Get-RASRDSHostPoolMember

## SYNOPSIS

Retrieves member information for an RD Session Host Pool.

## SYNTAX

\*\*Get-RASRDSHostPoolMember \[[HostPoolId](#hostpoolid-string)] *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASRDSHostPoolMember \[-[HostPoolObject](#HostPoolObject)] *(*[*RDSHostPool*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshostpool.md)*)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Get-RASRDSHostPoolMember \[[HostPoolName](#hostpoolname-string)] *(string)* \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves the list of RD Session Host servers, which are members of a specified host pool.

It returns an arrays of objects of type RDS, each containing properties of an RD Session Host server.

To see the complete list of object properties, use the Format-List cmdlet (see examples).

## PARAMETERS

## HostPoolName (string)

The name of a host pool from which to retrieve server information.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID where the host pool is located.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HostPoolId (uint)

The ID of the RDS Group representing a RD Session Host server group.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HostPoolObject ([RDSHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshostpool.md))

An object of type RDSHostPool representing a RD Session Host Pool.

The object is obtained using the Get-RASRDSHostPool cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[RDSHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshostpool.md)

## OUTPUTS

[RDSHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rdshost.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASRDSHostPoolMember "My RD Session Host Pool" | Format-List

Retrieves the list of RD Session Host servers from the host pool specified by name.

The Format-List cmdlet formats the display output to include all available server properties.\
\*\*---------- EXAMPLE 2 ----------

Get-RASRDSHostPoolMember $RDSHostPool

Retrieves the list of RD Session Host servers from the host pool specified by the $RDSHostPool variable.

The $RDSHostPool variable is an object of type RDSHostPool, which is obtained using the Get-RASRDSHostPool cmdlet.\
\*\*---------- EXAMPLE 3 ----------

Get-RASRDSHostPool "My RD Session Host Pool" | Get-RASRDSHostPoolMember

Retrieves the list of servers from the host pool obtained from the pipeline output.

## RELATED LINKS

* [Get-RASRDSHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasrdshostpool.md)
* [Move-RASRDSHostPoolMember](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/move-rasrdshostpoolmember.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasrdshostpoolmember.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
